osgSim::OverlayNode Class Reference

`#include <OverlayNode>`

Inheritance diagram for osgSim::OverlayNode:

## Classes

struct | OverlayData

## Public Types

enum | OverlayTechnique { OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY , VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY , VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY }
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| OverlayNode (OverlayTechnique technique=OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY)
| OverlayNode (const OverlayNode &es, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgSim, OverlayNode)
virtual void | traverse (osg::NodeVisitor &nv)
void | setOverlayTechnique (OverlayTechnique technique)
OverlayTechnique | getOverlayTechnique () const
void | setRenderTargetImplementation (osg::Camera::RenderTargetImplementation impl)
void | setOverlaySubgraph (osg::Node *node)
template<class T>
void | setOverlaySubgraph (const osg::ref_ptr< T > &node)
osg::Node * | getOverlaySubgraph ()
const osg::Node * | getOverlaySubgraph () const
void | dirtyOverlayTexture ()
void | setContinuousUpdate (bool update)
bool | getContinuousUpdate () const
void | setOverlayBaseHeight (double baseHeight)
double | getOverlayBaseHeight () const
void | setOverlayClearColor (const osg::Vec4 &color)
const osg::Vec4 & | getOverlayClearColor () const
void | setTexEnvMode (GLenum mode)
GLenum | getTexEnvMode () const
void | setOverlayTextureUnit (unsigned int unit)
unsigned int | getOverlayTextureUnit () const
void | setOverlayTextureSizeHint (unsigned int size)
unsigned int | getOverlayTextureSizeHint () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
Public Member Functions inherited from osg::Group
| Group ()
| Group (const Group &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Group)
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual bool | addChild (Node *child)
template<class T>
bool | addChild (const ref_ptr< T > &child)
virtual bool | insertChild (unsigned int index, Node *child)
template<class T>
bool | insertChild (unsigned int index, const ref_ptr< T > &child)
virtual bool | removeChild (Node *child)
template<class T>
bool | removeChild (const ref_ptr< T > &child)
bool | removeChild (unsigned int pos, unsigned int numChildrenToRemove=1)
virtual bool | removeChildren (unsigned int pos, unsigned int numChildrenToRemove)
virtual bool | replaceChild (Node *origChild, Node *newChild)
template<class T, class R>
bool | replaceChild (const ref_ptr< T > &origChild, const ref_ptr< R > &newChild)
virtual unsigned int | getNumChildren () const
virtual bool | setChild (unsigned int i, Node *node)
Node * | getChild (unsigned int i)
const Node * | getChild (unsigned int i) const
bool | containsNode (const Node *node) const
template<class T>
bool | containsNode (const ref_ptr< T > &node) const
unsigned int | getChildIndex (const Node *node) const
virtual BoundingSphere | computeBound () const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
virtual const char * | className () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef osg::buffered_value< int > | TextureObjectValidList
typedef std::map< osgUtil::CullVisitor *, osg::ref_ptr< OverlayData > > | OverlayDataMap

## Protected Member Functions

virtual | ~OverlayNode ()
void | init ()
void | init_OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY ()
void | init_VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY ()
void | init_VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY ()
void | traverse_OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY (osg::NodeVisitor &nv)
void | traverse_VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY (osg::NodeVisitor &nv)
void | traverse_VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY (osg::NodeVisitor &nv)
void | updateMainSubgraphStateSet ()
OverlayNode::OverlayData * | getOverlayData (osgUtil::CullVisitor *cv)
Protected Member Functions inherited from osg::Group
virtual | ~Group ()
virtual void | childRemoved (unsigned int, unsigned int)
virtual void | childInserted (unsigned int)
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

TextureObjectValidList | _textureObjectValidList
OverlayTechnique | _overlayTechnique
osg::ref_ptr< osg::Node > | _overlaySubgraph
osg::ref_ptr< osg::StateSet > | _overlayStateSet
osg::ref_ptr< osg::StateSet > | _mainStateSet
GLenum | _texEnvMode
unsigned int | _textureUnit
unsigned int | _textureSizeHint
osg::Vec4 | _overlayClearColor
bool | _continuousUpdate
double | _overlayBaseHeight
bool | _updateCamera
osg::Camera::RenderTargetImplementation | _renderTargetImpl
OpenThreads::Mutex | _overlayDataMapMutex
OverlayDataMap | _overlayDataMap
Protected Attributes inherited from osg::Group
NodeList | _children
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

OverlayNode is for creating texture overlays on scenes, with the overlay texture being generated by pre rendering an Overlay Subgraph to a texture, then projecting this resulting texture on the scene.

## Member Typedef Documentation

## OverlayDataMap

typedef std::map<osgUtil::CullVisitor*, osg::ref_ptr<OverlayData> > osgSim::OverlayNode::OverlayDataMap

protected

## TextureObjectValidList

typedef osg::buffered_value< int > osgSim::OverlayNode::TextureObjectValidList

protected

## Member Enumeration Documentation

## OverlayTechnique

enum osgSim::OverlayNode::OverlayTechnique

Enumerator
OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY |
VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY |
VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY |

## Constructor & Destructor Documentation

## OverlayNode() [1/2]

osgSim::OverlayNode::OverlayNode | ( | OverlayTechnique | technique = OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY | ) |

References OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY.

Referenced by META_Node(), and OverlayNode().

## OverlayNode() [2/2]

osgSim::OverlayNode::OverlayNode | ( | const OverlayNode & | es,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References OverlayNode(), and osg::CopyOp::SHALLOW_COPY.

## ~OverlayNode()

virtual osgSim::OverlayNode::~OverlayNode | ( |  | ) |

inline protected virtual

## Member Function Documentation

## dirtyOverlayTexture()

void osgSim::OverlayNode::dirtyOverlayTexture | ( |  | ) |

Inform the OverlayNode that the overlay texture needs to be updated.

## getContinuousUpdate()

bool osgSim::OverlayNode::getContinuousUpdate | ( |  | ) | const

inline

Get whether the OverlayNode should update the overlay texture on every frame.

References _continuousUpdate.

## getOverlayBaseHeight()

double osgSim::OverlayNode::getOverlayBaseHeight | ( |  | ) | const

inline

Get the base height that the overlay subgraph will be projected down to.

References _overlayBaseHeight.

## getOverlayClearColor()

const osg::Vec4 & osgSim::OverlayNode::getOverlayClearColor | ( |  | ) | const

inline

Get the clear color to use when rendering the overlay subgraph.

References _overlayClearColor.

## getOverlayData()

OverlayNode::OverlayData * osgSim::OverlayNode::getOverlayData | ( | osgUtil::CullVisitor * | cv | ) |

protected

## getOverlaySubgraph() [1/2]

osg::Node * osgSim::OverlayNode::getOverlaySubgraph | ( |  | ) |

inline

Get the overlay subgraph which will be rendered to texture.

References _overlaySubgraph.

## getOverlaySubgraph() [2/2]

const osg::Node * osgSim::OverlayNode::getOverlaySubgraph | ( |  | ) | const

inline

Get the const overlay subgraph which will be render to texture.

References _overlaySubgraph.

## getOverlayTechnique()

OverlayTechnique osgSim::OverlayNode::getOverlayTechnique | ( |  | ) | const

inline

References _overlayTechnique.

## getOverlayTextureSizeHint()

unsigned int osgSim::OverlayNode::getOverlayTextureSizeHint | ( |  | ) | const

inline

Get the texture size hint.

References _textureSizeHint.

## getOverlayTextureUnit()

unsigned int osgSim::OverlayNode::getOverlayTextureUnit | ( |  | ) | const

inline

Get the texture unit that the texture should be assigned to.

References _textureUnit.

## getTexEnvMode()

GLenum osgSim::OverlayNode::getTexEnvMode | ( |  | ) | const

inline

Get the TexEnv mode used to combine the overlay texture with the base color/texture of the OverlayNode's decorate subgraph.

References _texEnvMode.

## init()

void osgSim::OverlayNode::init | ( |  | ) |

protected

## init_OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY()

void osgSim::OverlayNode::init_OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY | ( |  | ) |

protected

## init_VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY()

void osgSim::OverlayNode::init_VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY | ( |  | ) |

protected

## init_VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY()

void osgSim::OverlayNode::init_VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY | ( |  | ) |

protected

## META_Node()

osgSim::OverlayNode::META_Node | ( | osgSim | ,
|  | OverlayNode | )

References OverlayNode().

## releaseGLObjects()

virtual void osgSim::OverlayNode::releaseGLObjects | ( | osg::State * | = 0 | ) | const

virtual

If State is non-zero, this function releases any associated OpenGL objects for the specified graphics context. Otherwise, releases OpenGL objexts for all graphics contexts.

Reimplemented from osg::Group.

## resizeGLObjectBuffers()

virtual void osgSim::OverlayNode::resizeGLObjectBuffers | ( | unsigned int |  | ) |

virtual

Resize any per context GLObject buffers to specified size.

Reimplemented from osg::Group.

## setContinuousUpdate()

void osgSim::OverlayNode::setContinuousUpdate | ( | bool | update | ) |

inline

Set whether the OverlayNode should update the overlay texture on every frame.

References _continuousUpdate.

## setOverlayBaseHeight()

void osgSim::OverlayNode::setOverlayBaseHeight | ( | double | baseHeight | ) |

inline

Set the base height that the overlay subgraph will be projected down to. Normally you'll set this to just below ground level, if you set it too high then the overlay texture can end up being clipped in certain viewing directions, while if its too low then there will be a limit to how close you can get to the terrain before pixaltion becomes an issue.

References _overlayBaseHeight.

## setOverlayClearColor()

void osgSim::OverlayNode::setOverlayClearColor | ( | const osg::Vec4 & | color | ) |

inline

Set the clear color to use when rendering the overlay subgraph.

References _overlayClearColor.

## setOverlaySubgraph() [1/2]

template<class T>

void osgSim::OverlayNode::setOverlaySubgraph | ( | const osg::ref_ptr< T > & | node | ) |

inline

References osg::ref_ptr< T >::get(), and setOverlaySubgraph().

Referenced by setOverlaySubgraph().

## setOverlaySubgraph() [2/2]

void osgSim::OverlayNode::setOverlaySubgraph | ( | osg::Node * | node | ) |

Set the overlay subgraph which will be rendered to texture.

## setOverlayTechnique()

void osgSim::OverlayNode::setOverlayTechnique | ( | OverlayTechnique | technique | ) |

## setOverlayTextureSizeHint()

void osgSim::OverlayNode::setOverlayTextureSizeHint | ( | unsigned int | size | ) |

Set the texture size hint. The size hint is used to request a texture of specified size.

## setOverlayTextureUnit()

void osgSim::OverlayNode::setOverlayTextureUnit | ( | unsigned int | unit | ) |

Set the texture unit that the texture should be assigned to.

## setRenderTargetImplementation()

void osgSim::OverlayNode::setRenderTargetImplementation | ( | osg::Camera::RenderTargetImplementation | impl | ) |

Set the implementation to be used when creating the overlay texture.

## setTexEnvMode()

void osgSim::OverlayNode::setTexEnvMode | ( | GLenum | mode | ) |

Set the TexEnv mode used to combine the overlay texture with the base color/texture of the OverlayNode's decorate subgraph.

## setThreadSafeRefUnref()

virtual void osgSim::OverlayNode::setThreadSafeRefUnref | ( | bool | threadSafe | ) |

virtual

Set whether to use a mutex to ensure ref() and unref() are thread safe.

Reimplemented from osg::Group.

## traverse()

virtual void osgSim::OverlayNode::traverse | ( | osg::NodeVisitor & |  | ) |

virtual

Traverse downwards : calls children's accept method with NodeVisitor.

Reimplemented from osg::Group.

## traverse_OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY()

void osgSim::OverlayNode::traverse_OBJECT_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY | ( | osg::NodeVisitor & | nv | ) |

protected

## traverse_VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY()

void osgSim::OverlayNode::traverse_VIEW_DEPENDENT_WITH_ORTHOGRAPHIC_OVERLAY | ( | osg::NodeVisitor & | nv | ) |

protected

## traverse_VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY()

void osgSim::OverlayNode::traverse_VIEW_DEPENDENT_WITH_PERSPECTIVE_OVERLAY | ( | osg::NodeVisitor & | nv | ) |

protected

## updateMainSubgraphStateSet()

void osgSim::OverlayNode::updateMainSubgraphStateSet | ( |  | ) |

protected

## Member Data Documentation

## _continuousUpdate

bool osgSim::OverlayNode::_continuousUpdate

protected

Referenced by getContinuousUpdate(), and setContinuousUpdate().

## _mainStateSet

osg::ref_ptr<osg::StateSet> osgSim::OverlayNode::_mainStateSet

protected

## _overlayBaseHeight

double osgSim::OverlayNode::_overlayBaseHeight

protected

Referenced by getOverlayBaseHeight(), and setOverlayBaseHeight().

## _overlayClearColor

osg::Vec4 osgSim::OverlayNode::_overlayClearColor

protected

Referenced by getOverlayClearColor(), and setOverlayClearColor().

## _overlayDataMap

OverlayDataMap osgSim::OverlayNode::_overlayDataMap

protected

## _overlayDataMapMutex

OpenThreads::Mutex osgSim::OverlayNode::_overlayDataMapMutex

protected

## _overlayStateSet

osg::ref_ptr<osg::StateSet> osgSim::OverlayNode::_overlayStateSet

protected

## _overlaySubgraph

osg::ref_ptr<osg::Node> osgSim::OverlayNode::_overlaySubgraph

protected

Referenced by getOverlaySubgraph(), and getOverlaySubgraph().

## _overlayTechnique

OverlayTechnique osgSim::OverlayNode::_overlayTechnique

protected

Referenced by getOverlayTechnique().

## _renderTargetImpl

osg::Camera::RenderTargetImplementation osgSim::OverlayNode::_renderTargetImpl

protected

## _texEnvMode

GLenum osgSim::OverlayNode::_texEnvMode

protected

Referenced by getTexEnvMode().

## _textureObjectValidList

TextureObjectValidList osgSim::OverlayNode::_textureObjectValidList

mutable protected

## _textureSizeHint

unsigned int osgSim::OverlayNode::_textureSizeHint

protected

Referenced by getOverlayTextureSizeHint().

## _textureUnit

unsigned int osgSim::OverlayNode::_textureUnit

protected

Referenced by getOverlayTextureUnit().

## _updateCamera

bool osgSim::OverlayNode::_updateCamera

protected

The documentation for this class was generated from the following file:

- OverlayNode